Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Feb 2007 17:47:21 -0600

David Gibson wrote:

> Er.. I think you're missing something.
> 
> My point is that the interrupt-controller property in /chosen *should*
> be there, but it doesn't make a lot of sense for it to be set by the
> bootloader (because it's a fixed property of the board).  Therefore it
> should be in the dts, therefore the /chosen node needs to be there to
> contain it.

Ok, I understand.

Well, as soon as my other DTS-related patches are applied, I'll start working on 
one for the 'chosen' section.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale